<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven UberJar Plug-in Goals</title>
    <author email="pete-apache-dev@kazmier.com">Pete Kazmier</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>uberjar</name>
        <description>
          Generate a single JAR that contains all of the project's
          dependencies as well as the project's classes.  In addition,
          the JAR contains bootstrapable code such that the JAR may be
          invoked as: <code>java -jar uber.jar</code>.
        </description>
      </goal>
    </goals>
    <goal>
        <name>uberjar:install</name>
        <description>Install the uberjar in the local repository</description>
      </goal>
      <goal>
        <name>uberjar:install-snapshot</name>
        <description>Install the snapshot version of  the uberjar in the local repository</description>
      </goal>      
      <goal>
        <name>uberjar:deploy</name>
        <description>Deploy the uberjar to the remote repository(ies)</description>
      </goal>
      <goal>
        <name>uberjar:deploy-snapshot</name>
        <description>Deploy the snapshot version of the uberjar to the remote repository(ies)</description>
      </goal>  
  </body>
</document>
